Jack::JackShmReadWritePtr< T > Class Template Reference

Pointer on shared memory segment in the client side. More...

`#include <JackShmMem.h>`

## Public Member Functions

| JackShmReadWritePtr (int index, const char *server_name)
T * | operator-> () const
| operator T * () const
JackShmReadWritePtr & | operator= (int index)
void | SetShmIndex (int index, const char *server_name)
int | GetShmIndex ()
T * | GetShmAddress ()

## Detailed Description

### template<class T>
class Jack::JackShmReadWritePtr< T >

Pointer on shared memory segment in the client side.

Definition at line 148 of file JackShmMem.h.

The documentation for this class was generated from the following file:

- JackShmMem.h